Bug 435119 - ipa_webgui doesn't start due to permissions error on /var/log/ipa_error.log
ipa_webgui doesn't start due to permissions error on /var/log/ipa_error.log
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On: 431089
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-02-27 09:27 EST by Rob Crittenden
Modified: 2015-01-04 18:30 EST (History)
2 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log with ipa_webgui starting correctly (68.61 KB, text/plain)
2008-04-02 14:49 EDT, Michael Gregg
no flags Details

  None (edit)
Description Rob Crittenden 2008-02-27 09:27:32 EST
+++ This bug was initially created as a clone of Bug #431089 +++

Description of problem:
ipa_webgui doesn't start due to permissions error on /var/log/ipa_error.log. 
This particullar instance was observed while running ipa-server-install

Version-Release number of selected component (if applicable):
Build from 1-31-08:
http://apoc.dsdev.sjc.redhat.com/tet/results/FC7/i386/2008-01-31_03_01-build/
ipa.repo

How reproducible:


Steps to Reproduce:
1.Install ipa-server packages with named and caching named server
2. install IPA with /usr/sbin/ipa-server-install -U --
hostname=ipaqavm.dsqa.sjc2.redhat.com -r DSQA.SJC2.REDHAT.COM -p pw -P pw -a pw 
--setup-bind -u admin -d
  
Actual results:
root        : INFO     Shutting down ipa_webgui: [FAILED]
Starting ipa_webgui: failed to start web gui: [Errno 13] Permission denied: '/
var/log/ipa_error.log'
[FAILED]
root        : INFO     ERROR:root:failed to start web gui: [Errno 13] 
Permission denied: '/var/log/ipa_error.log'
  File "/usr/sbin/ipa_webgui", line 147, in <module>

Expected results:
ipa-server-install to work and ipa-webgui to run

-- Additional comment from rcritten@redhat.com on 2008-01-31 14:20 EST --
Created an attachment (id=293628)
create the log file in the %post script


-- Additional comment from rcritten@redhat.com on 2008-02-01 10:42 EST --
Committed in changeset 617

-- Additional comment from mgregg@redhat.com on 2008-02-01 20:14 EST --

re-ran test after patch

Result:
root        : INFO     Shutting down ipa_webgui: [FAILED]
Starting ipa_webgui: [  OK  ]

run aginst:
http://apoc.dsdev.sjc.redhat.com/tet/results/FC7/i386/2008-02-01_16_03-build/dist
Comment 1 Fedora Update System 2008-02-29 15:51:33 EST
ipa-0.99-11.fc7 has been submitted as an update for Fedora 7
Comment 2 Fedora Update System 2008-02-29 16:18:35 EST
ipa-0.99-11.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-03-01 04:26:51 EST
ipa-0.99-11.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipa'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2144
Comment 4 Michael Gregg 2008-04-02 14:49:01 EDT
Verified good on 3-30-08

Verified with:
/usr/sbin/ipa-server-install -U --hostname=ipaqavm.dsqa.sjc2.redhat.com -r
DSQA.SJC2.REDHAT.COM -p Secret123 -P Secret123 -a Secret123 --setup-bind -u admin -d

From log file:
http://apoc.dsdev.sjc.redhat.com/tet/results/2008-03-30_06_43/IPA-server-log.txt
Comment 5 Michael Gregg 2008-04-02 14:49:53 EDT
Created attachment 300113 [details]
log with ipa_webgui starting correctly

Note You need to log in before you can comment on or make changes to this bug.